Subject: Re: linux-next: boot failure after merge of the akpm tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 31 May 2019 13:41:03 +1000

Hi all,

On Fri, 31 May 2019 12:27:58 +1000 Nicholas Piggin <[email-masked]> wrote:
>
> > I have reverted
> > 
> >   c353e2997976 ("mm/vmalloc: hugepage vmalloc mappings")
> >   a826492f28d9 ("mm: move ioremap page table mapping function to mm/")
> > 
> > (and my fix up) for today and things seem to work (if only because the
> > BUG() has been removed :-)).  
> 
> Good to know, maybe I didn't test powerpc without later enabling 
> patches...
> 
> The series also has a compile bug on ARM I have to work out, so
> yeah drop those for now, I'll post a v2. The large system map patches
> that I posted in that series can stay I think.

OK, I have removed them from the akpm-current tree today.

-- 
Cheers,
Stephen Rothwell